# Sherlock Holmes: Crimes and Punishments 1.0.0
# BID: 789C2939A757C0CD

DECLARATIONS:
  -
    type: variable
    name: dr_target1
    value_type: float
    default_value: 38
    evaluate: "1.14 * FRAMETIME_TARGET"
  -
    type: variable
    name: dr_target2
    value_type: float
    default_value: 32
    evaluate: "0.96 * FRAMETIME_TARGET"
MASTER_WRITE:
  # Redirect Dynamic Resolution timings to MAIN + 0x23774F00
  # 38.0
  -
    type: asm_a64
    main_offset: 0xF57294
    instructions: [
      [adrp, x9, $dr_target1],
      [fmul, s0, s0, s1],
      [ldr, s1, [x9, $dr_target1]]
    ]
  # 32.0
  -
    type: asm_a64
    main_offset: 0xF572B8
    instructions: [
      [adrp, x9, $dr_target2],
      [ldr, s1, [x9, $dr_target2]]
    ]
ALL_FPS:
  # UGameEngine::GetMaxTickRate()
  # Bool Lock FPS
  -
    type: write
    address: [MAIN, 0x2E61108]
    value_type: uint8
    value: 0
